- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# VoidStoredFunctorPointerCall4< T, FunctionPointer, Arg1, Arg2, Arg3, Arg4 > Struct Template Reference

Search for all occurrences

## Detailed Description

### template<typename T, typename FunctionPointer, typename Arg1, typename Arg2, typename Arg3, typename Arg4>
struct QtConcurrent::VoidStoredFunctorPointerCall4< T, FunctionPointer, Arg1, Arg2, Arg3, Arg4 >

Definition at line 937 of file qtconcurrentstoredfunctioncall.h.

`#include <qtconcurrentstoredfunctioncall.h>`

Inheritance diagram for VoidStoredFunctorPointerCall4< T, FunctionPointer, Arg1, Arg2, Arg3, Arg4 >:
[legend]

List of all members.

## Public Member Functions
| VoidStoredFunctorPointerCall4 (FunctionPointer *_function, const Arg1 &_arg1, const Arg2 &_arg2, const Arg3 &_arg3, const Arg4 &_arg4)
void | runFunctor ()
## Public Attributes
FunctionPointer * | function
Arg1 | arg1
Arg2 | arg2
Arg3 | arg3
Arg4 | arg4

## Constructor & Destructor Documentation

VoidStoredFunctorPointerCall4 | ( | FunctionPointer * | _function,
|  | const Arg1 & | _arg1,
|  | const Arg2 & | _arg2,
|  | const Arg3 & | _arg3,
|  | const Arg4 & | _arg4
| ) |  | `[inline]`

Definition at line 939 of file qtconcurrentstoredfunctioncall.h.

          : function(_function), arg1(_arg1), arg2(_arg2), arg3(_arg3), arg4(_arg4) {}

## Member Function Documentation

void runFunctor | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Implements RunFunctionTaskBase< T >.

Definition at line 941 of file qtconcurrentstoredfunctioncall.h.

    {(*function)(arg1, arg2, arg3, arg4); }

## Member Data Documentation

FunctionPointer* function

Search for all occurrences

Definition at line 942 of file qtconcurrentstoredfunctioncall.h.

Arg1 arg1

Search for all occurrences

Definition at line 943 of file qtconcurrentstoredfunctioncall.h.

Arg2 arg2

Search for all occurrences

Definition at line 943 of file qtconcurrentstoredfunctioncall.h.

Arg3 arg3

Search for all occurrences

Definition at line 943 of file qtconcurrentstoredfunctioncall.h.

Arg4 arg4

Search for all occurrences

Definition at line 943 of file qtconcurrentstoredfunctioncall.h.

The documentation for this struct was generated from the following file:

- QtCore/qtconcurrentstoredfunctioncall.h